Ask customer for a consent on an order
Ask customer for a consent on an order
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Body
typestring · enumRequiredPossible values:
Responses
204
No Content
No content
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/consents HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"type": "SUBSCRIPTION"
}204
No Content
No content
Last updated
Was this helpful?

